spring:
  profiles:
    include: rabbitMQ
  # JDBC
  datasource:
    url: jdbc:mysql://formalldb.cfqyqflkdlit.rds.cn-northwest-1.amazonaws.com.cn:3306/mallink?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8&useSSL=false&useAffectedRows=true
    username: ENC(NUzgQOdJnCbVLKT6BaX0aw==)
    password: ENC(mvuoDRiu0jqYaKNRwwTuXZ6U7aoIaqsjdiPqTLgi/nY=)
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 28000
    minEvictableIdleTimeMillis: 28000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
  # REDIS
  redis:
    host: 127.0.0.1
    port: 6379
    password: ENC(8gYU47Fu93NUJPhwPCiPbAT+6VFA1YDx1egK4Z0Nl6w=)
    timeout: 3600
    expire: 1800 #30分钟
    database: 1
    defaultExpiration: 2592000 # 默认生命周期30天
    jedis:
      pool:
        max-active: 100
        max-idle: 20
        max-wait: -1
        min-idle: 0
  # EMAIL
  mail:
    host: smtp.exmail.qq.com
    username: ENC(IiL/PHP9wCkpibWHRH/Mts8K9fh4izYqaiaF66bDrqtEHP+KUcJRRg==)
    password: ENC(m7L57m8mk6tApVoa4XIDQnXF0VxnYjKe4LVdzcgb+xY=)  # 授权密码
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
          socketFactory:
            port: 465
            class: javax.net.ssl.SSLSocketFactory
  # RABBITMQ
  rabbitmq:
    host: localhost
    port: 5672
    username: ENC(lRmLd6EzgeY1RT5ktcHv9g==)
    password: ENC(gBI8mCjr3OC0v57jcnSb660Ux7mW03K2oePgvohhg7w=)
    publisher-confirms: true
    publisher-returns: false
    virtual-host: /

aws:
  clientRegion: cn-northwest-1
  bucketName: iformall-net
  access: ENC(a6SN1sZ1enNL49ypiOXkg/pPPAnZD8H4buQFTTKN08s=)
  secret: ENC(5P5ff4bTMJUbXVR4ZsM03UHzOKZ4+Zg5Iutcdkyp/Quny/oXg+A4KpfwEyGarlLu3vQMJahGP5M=)

wechat:
  open:
    componentAppId:  ENC(b3JG0MUZgQfz5Zj+DC2ZM1zDeLOiGTmmeokfe2O8kaM=)
    componentSecret: ENC(QVyc4BPGdnSjXGs2ivgpDBE1v8wPWHLLRMYI7Vv8uYwC0SiZHQz0QpyyQV/b48Pb)
    componentToken:  ENC(rkxj0733WxFFDLgA9x01m2s5Fi2L+0PC)
    componentAesKey: ENC(EIbJUBpbYOrLb4YQ/HXLQmxlxgAqIp2ZmpnGICC8pu5xiTz3Cqfkbwd2S8raCcK/IvYcX2GmedI=)
  redis:
    host: 127.0.0.1
    port: 6379
    password: ENC(8gYU47Fu93NUJPhwPCiPbAT+6VFA1YDx1egK4Z0Nl6w=)
    timeout: 3600
    expire: 1800 #30分钟
    database: 2
    defaultExpiration: 2592000 # 默认生命周期30天
    jedis:
      pool:
        max-active: 100
        max-idle: 100
        max-wait: -1
        min-idle: 10

fm:
  exception: true
  exception_emails: houtaikaifa@iformall.com
  deploy: 3
  open: true
  upload_dir: /home/ec2-user/server/uploads/

logging:
  level:
    tk.mybatis: debug
    com.iformall: debug
  path: ./logs/c